Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 661000 - media-sound/mumble-9999 - file collision with media-libs/celt-0.11.3
Summary: media-sound/mumble-9999 - file collision with media-libs/celt-0.11.3
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Lars Wendler (Polynomial-C)
URL:
Whiteboard: scheduled for removal on 2018-10-16
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2018-07-12 14:28 UTC by Dennis Schridde
Modified: 2018-10-20 21:07 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,578.90 KB, text/x-log)
2018-07-12 14:28 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2018-07-12 14:28:39 UTC
Created attachment 539302 [details]
build.log

* Detected file collision(s):
 * 
 *      /usr/lib64/libcelt0.so
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * media-libs/celt-0.11.3:0::gentoo
 *      /usr/lib64/libcelt0.so
 * 
 * Package 'media-sound/mumble-9999' NOT merged due to file collisions.
 * If necessary, refer to your elog messages for the whole content of the
 * above message.
Comment 1 Lars Wendler (Polynomial-C) gentoo-dev 2018-07-12 18:57:20 UTC
Oh damn...
Comment 2 Dennis Schridde 2018-07-15 13:58:00 UTC
I fixed this in my overlay:

* https://github.com/devurandom/gentoo-overlay/commit/01a60fa7bd9a5e10b9638d17bc4fb0770f6338e5
* https://github.com/devurandom/gentoo-overlay/commit/4fc7add38b5063803553013770805b65585a3694

An alternative to not building CELT 0.11 (first commit) would be to apply a similar name change as in the second commit to the other *-build.pro file, too.  But since upstream already thinks of dropping CELT 0.11 support [1], I opted for this solution instead.

[1]: https://github.com/mumble-voip/mumble/issues/1999
Comment 3 Dennis Schridde 2018-07-15 16:48:04 UTC
(In reply to Dennis Schridde from comment #2)
> I fixed this in my overlay:
> 
> *
> https://github.com/devurandom/gentoo-overlay/commit/
> 01a60fa7bd9a5e10b9638d17bc4fb0770f6338e5
> *
> https://github.com/devurandom/gentoo-overlay/commit/
> 4fc7add38b5063803553013770805b65585a3694

That commit was actually missing a file.  Here is the corrected one:

https://github.com/devurandom/gentoo-overlay/commit/b0d953539800a5b54951ce06a626b480d8d260cd

> An alternative to not building CELT 0.11 (first commit) would be to apply a
> similar name change as in the second commit to the other *-build.pro file,
> too.  But since upstream already thinks of dropping CELT 0.11 support [1], I
> opted for this solution instead.
> 
> [1]: https://github.com/mumble-voip/mumble/issues/1999
Comment 4 Andreas Sturmlechner gentoo-dev 2018-08-21 07:52:57 UTC
(In reply to Dennis Schridde from comment #2)
> An alternative to not building CELT 0.11 (first commit) would be to apply a
> similar name change as in the second commit to the other *-build.pro file,
> too.
Thanks for your work, up to Poly-C what to do with this. As upstream seems to be blocked on removing CELT until a certain bug is fixed, can you do the same change also for 0.11? I'm not a user of mumble and as such not aware of the implications of dropping support for it.
Comment 5 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-10-20 21:07:35 UTC
media-libs/celt is being removed now.